[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Re: chattr fails tests on non ext,xfs filesystems
From: |
Jim Meyering |
Subject: |
Re: chattr fails tests on non ext,xfs filesystems |
Date: |
Thu, 16 Nov 2006 10:06:28 +0100 |
"Mike Grayson" <address@hidden> wrote:
> In file coreutils-6.3/tests/tail-2/append-only, lines 2-3:
>
> # Ensure that tail -f works on an append-only file
> # Requires root access to do chattr +a, as well as an ext[23] or xfs file
> system
>
> ...which causes the test suite to fail on non supporting filesystems. It
> would be better if this test would be skipped instead.
Thanks for testing as root, and for the report.
I've fixed it like this:
* tests/tail-2/append-only: If chattr +a fails, exit 77 (to tell
automake we're skipping this test), and give a diagnostic to tell
the user the same thing. Reported by Mike Grayson.
diff --git a/tests/tail-2/append-only b/tests/tail-2/append-only
index ee79245..cee6644 100755
--- a/tests/tail-2/append-only
+++ b/tests/tail-2/append-only
@@ -41,8 +41,8 @@ chattr +a f 2>/dev/null || framework_fai
echo x >> f || framework_failure=1
if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
+ echo "$0: chattr +a doesn't work on this file system; skipping this test "
1>&2
+ (exit 77); exit 77
fi
fail=0